import { Adapter } from '@pageobject/class';
import { WebDriver, WebElement } from 'selenium-webdriver';
/**
 * `import {SeleniumAdapter} from '@pageobject/selenium-adapter';`
 */
export declare class SeleniumAdapter implements Adapter<WebElement> {
    static launchHeadlessChrome(): Promise<SeleniumAdapter>;
    readonly driver: WebDriver;
    constructor(driver: WebDriver);
    click(element: WebElement): Promise<void>;
    evaluate<TResult>(script: (...args: any[]) => TResult, ...args: any[]): Promise<TResult>;
    findElements(selector: string, parent?: WebElement): Promise<WebElement[]>;
    takeScreenshot(): Promise<string>;
    type(element: WebElement, text: string, delay: number): Promise<void>;
}
